Upgrading to 3.25.20 from 3.25.19 breaks the project

Upgrading to 3.25.20 from 3.25.19 breaks the project

Postby aspirevishal » Thu 15 Nov 2007 02:24

I get the following error
Code: Select all
Error   5   Reference required to assembly 'CoreLab.Data, Version=4.25.17.0, Culture=neutral, PublicKeyToken=09af7300eec23701' containing the base class 'CoreLab.Common.DbMonitor'. Add one to your project.   C:\Documents and Settings\vishalk\Desktop\myproject\Form1.Designer.vb   34   32   project



I did a clean uninstall of the previous version restarted the system and then installed 3.25.20 tried to build the project got many errors relating to corelab.data and in project reference table it comes as listed
aspirevishal
 
Posts: 30
Joined: Fri 31 Aug 2007 03:30
Location: India

Postby Alexey » Thu 15 Nov 2007 12:43

Try to re-add the reference to CoreLab.Data assembly.
Alexey
 
Posts: 2756
Joined: Mon 13 Mar 2006 07:43

Postby aspirevishal » Thu 15 Nov 2007 19:29

Did that , Moreover in the reference list it is pointing to the right file. Ignoring that i again added the reference did not help.

Any other suggestion
aspirevishal
 
Posts: 30
Joined: Fri 31 Aug 2007 03:30
Location: India

Postby aspirevishal » Fri 16 Nov 2007 06:39

due to some mysterious reasons after installing uninstalling multiple times it seems to working now.
aspirevishal
 
Posts: 30
Joined: Fri 31 Aug 2007 03:30
Location: India

Postby Alexey » Fri 16 Nov 2007 12:08

Well done!
Unfortunately, we are unable to foresee all possible problems that may occur during the installation process. This is quite delicate thing and should be done to the tee. (I mean all VS IDE and document explorer instances should be closed, GAC should be cleaned up, all old assemblies should be removed from the %ProgramFiles%, et cetera.)
Alexey
 
Posts: 2756
Joined: Mon 13 Mar 2006 07:43


Return to dotConnect for PostgreSQL